venus(8)

NAME
venus - client cache manager

SYNOPSIS
venus [ -k kernel device ] [ -h host list ] [ -cf cache files ] [ -c cache blocks ] [-mles CML entries] [ -d debug level ] [ -r root volume ] [ -f cache directory ] [ -m COP modes ] [ -mc 0 | 1 ] [ -console console file ] [ -retries RPC2 retries ] [ -timeout RPC2 timeout ] [ -ws SFTP window size ] [ -sa SFTP send ahead ] [ -ap SFTP ack point ] [ -init ] [ -p ] [ -hdbes hoard entries] [-rvmt RVM type] [-sim infile outfile filtfile systype] [ -mondhost hostname] [ -mondport port ] [ -maxprefetchers fetch threads ] [ -maxworkers work threads] [ -maxcbservers cb threads ] [ -vld device ] [ -vlds size ] [-vdd device ] [ -vdds size ] [ -rdscs chunk size ] [ -rdsnl nlists ] [ -logopts 0 | 1 ] [ -swt weight ] [ -mwt weight ] [ -ssf scale factor ] [ mount point ]

DESCRIPTION
venus manages a cache of files and directories for a client workstation. It has a host of parameters and configuration options. Default values of everything are compiled into venus (see <venus.private.h>) for these values. Some of these are overridden by the values in the vstab(5), provided that it exists. Both default and vstab values may be overridden with command-line arguments. Venus must be run as root. The command-line options are:

-k kernel device
    Take kernel device to be the device for kernel/venus communication. Default: /dev/cfs0

-h host list
    Take comma-separated host list to be the initial set of hosts to be used for volume-location requests.

-cf cache files
    Limit the size of the file cache to cache files entries. Default: 512

-c cache blocks
    Limit the size of the file cache to cache blocks 1K blocks. Default: 8192

-mles CML entries
    Number of Cache Modify Log entries

-vols volumes
    Limit the size of the volume cache to volumes entries. Default: 128

-vsgs vsgs
    Limit the size of the VSG cache to vsgs entries. Default: 64

-d debug level
    Initialize the debug level to debug level. Meaningful values are {0, 1, 10, 100, 1000}. Default: 0

-r root volume
    Take root volume to be the root volume of the file system. This should be a string name rather than a number. There is no default. If no value is given, venus will ask one of the file servers. [N.B. If you intend to operate disconnected, a value must be supplied.] Default: none

-f cache directory
    Take cache directory to be the directory for the file, volume, and VSG caches. Venus garbage collects any files it doesnt recognize in the cache directory, so use caution when supplying this argument. Venus will create the directory if it doesnt already exist. The directory should have mode bits of rwx------ to protect the cache from malicious local users. Default: /usr/coda/venus.cache

-m COP modes
    Controls what Coda Optimistic Protocol (COP) options are enabled. COP modes is interpreted according to the following bit-mask: [ PIGGYCOP2 | ASYNCCOP2 | ASYNCCOP1 ]. Only some combinations are legal. Default: [ PIGGYCOP2 | ASYNCCOP2 ]

-mc 0 | 1
    Controls whether multicast is used or not (0

-console console file
    Redirects console messages to console file. Default: /dev/console

-retries RPC2 retries
    Sets the number of RPC2 retries to RPC2 retries. Default: 4

-timeout RPC2 timeout
    Sets the RPC2 timeout period to RPC2 timeout seconds. Default: 30

-ws SFTP window size
    Sets the SFTP window size to SFTP window size packets. Default: 8

-sa SFTP send ahead
    Sets the SFTP send ahead to SFTP send ahead packets. Default: 4

-ap SFTP ack point
    Sets the SFTP ack point to SFTP ack point packets. Default: 4

-init
    Initializes LEFTPAREN i.e., clears) file, volume, and VSG caches.

-p  Enables profiling.

-hdbes hoard entries
    Number of hoard database entries.

-rvmt RVMT type
    Media that RVM resides on. Meaningful values are: 1

-sim infile outfile filtfile systype
    Turn on simulator mode. infile is a trace to load in to the simulation. outfile is the output file for the simulation. filtfile is a filter for the trace. And systype is the system type the trace was taken on.

-mondhost hostname
    Host where mond database is stored

-mondportal port
    Port to use when contacting the mond host.

-maxprefetchers fetch threads
    Maximum number of threads doing prefetch ioctls

-maxworkers work threads
    Number of worker threads.

-maxcbservers cb threads
    Number of callback server threads.

-vld device
    Location of the venus log device. Default: /usr/coda/LOG

-vlds size
    Size of the log device.

-vdd device
    Location of the venus data device. Default: /usr/coda/DATA

-rdscs chunk size
    Specify RDS chunk size.

-rdsnl nlists
    Number of RDS nlists.

-logopts 0 | 1
    Turn on log optimization.

-swt weight
    Short term cache priority weight.

-mwt weight
    Medium term cache priority weight.

-ssf scale factor
    Short term cache scale factor.

mount point
    Directory to serve as the mount point for Coda. Default: /coda

DIAGNOSTICS
Venus writes debugging information into the file <cache directory>/venus.log. The verbosity of this output is controlled by the <debug level> parameter. High priority messages are also written to the console (which may be redirected with the console option at start-up). Fatal errors will cause the internal state of venus to be dumped to the log file, and a core file to be left in <cache directory/core>. Venus writes its process id into the file <cache directory>/pid. The vutil (8v) program reads the pid file and dynamically alter Venus behavior by sending signals to it. Venus may be unable to unmount itself cleanly when it exits. Usually this is due to processes which have references to vnodes in the Coda namespace (e.g., a process is cded somewhere in Coda). Once these references are released, Venus can be unmounted with cfsunmount (8v).

FILES
/usr/coda/etc/vstab <cache directory>/venus.log <cache directory>/pid <venus.private.h>

BUGS
A mount point of /coda is assumed by the pioctl library. A cache directory of /usr/coda/venus.cache is assumed by vutil (8v).

SEE ALSO
vstab (5), cfsunmount (8v), vutil (8v)

AUTHOR
Jay Kistler, 1990, Created Joshua Raiff, 1993, Documented added switches